Bug 137769 - ChangesInMargin: Crash on Undo of characters deleted by pressing Delete ( part 2 )
Summary: ChangesInMargin: Crash on Undo of characters deleted by pressing Delete ( par...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: tracked-changes-in-margin
  Show dependency treegraph
 
Reported: 2020-10-26 11:33 UTC by Xisco Faulí
Modified: 2020-12-12 10:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-10-26 11:33:34 UTC
This is a follow-up of bug 137684

Steps to reproduce:
1. Open Writer
2. Tools - Options - LibreOffice Writer - View - Enable Tracked deletions in margin
3. Type 2 characters. e.g 'xx'
4. Enable Tracked changes
5. Delete two times
6. Undo three times

-> Crash

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 0f0a5b63b19196f9463149a0a1991704c940efe2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-10-26 11:34:23 UTC
@László Németh, I thought you might be interested in this issue
Comment 2 László Németh 2020-10-26 11:47:09 UTC
@Xisco: thanks for the report!
Comment 3 Commit Notification 2020-11-26 07:33:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/469f472fb31c4ef1a57f8ec54ba750c1332feec2

tdf#138479 tdf#137769 sw ChangesInMargin: fix Undo in paragraphs

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-11-26 10:32:45 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e50dafcfc1819d28958368780e9cf51e7686f050

tdf#138479 tdf#137769 sw ChangesInMargin: fix Undo in paragraphs

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-12-01 16:05:17 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 79ec66700266a22966d9e308a716be56c9c3a4a7
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!